NEWS


  • Benutzt einer von Euch den Antrieb mit iobroker? Wenn ja, wie habt ihr den ans laufen gebracht.

  • Most Active

    @frodo777 Ohne Modifikation funktioniert das nicht. Hier wurde mal vorgeschlagen wie mit einem D1 Mini das umzubauen ist.


  • Klar läuft das. Grad installiert. Funzt tadellos mit dem Adapter.


  • Über Katze den Adapter installieren:

    https://github.com/oyooyo/ioBroker.keyble
    

    Raspberry 4 - Putty:

    sudo apt-get -y install bluetooth bluez libbluetooth-dev libudev-dev
    sudo npm install --update --global --unsafe-perm keyble
    sudo setcap cap_net_raw+eip $(eval readlink -f `which node`)
    

    Raspberry MUSS in der Nähe sein vom Schloß. Am besten daneben stellen.
    App installieren auf Handy und Schloß einrichten.
    Danach Bluetooth ausmachen vom Handy.

    keyble-registeruser -n IrgendEinName -q XXXXXXX
    

    IrgendEinName = Ein Name halt
    XXXXXXX = der QR-Code von dem Schloß. Einfach mit nem QR-Code Scanner auslesen (Handy)

    Danach beim Schloß 4 Sec. öffnen drücken bis es blinkt.

    Putty beobachten. Da steht dann username_1 oder so. die Zahl merken. MAC merken. user key merken.

    Eintragen in den Adapter. Fertig
    Smartphone App und gleichzeitig iobroker funzt nicht. Das Schloß kann sich nur mit einem Gerät verbinden.


  • @elzershark

    Leider bekomme ich den Adapter nicht zum laufen. host.
    Raspberry4 2021-04-05 17:23:11.438 error instance system.adapter.keyble.1 terminated with code 6 (UNCAUGHT_EXCEPTION)
    keyble.1 2021-04-05 17:23:10.920 warn (21214) Terminated (UNCAUGHT_EXCEPTION): Without reason

    Der lief bei mir letztmalig 2018 im Dezember, seit dieser Zeit immer wieder versucht, aber nie zum Laufen gebracht.

    Diese Meldungen scheinen die Ursache zu sein:
    keyble.0 2021-04-05 17:21:29.774 error (21126) Error: Cannot find module 'noble'
    keyble.0 2021-04-05 17:21:29.770 error (21126) uncaught exception: Cannot find module 'noble'

    Mein System ist aktuell, auch das Testsystem (neu aufgesetzt) läuft nicht.
    Ideen?

    Grüsse


  • @uwessmarthome

    Kleine Korrektur auf einem weiterem Raspberry (heute NPM aktualisiert) kommt keine Error Message und er Adapter wird sogar grün. Versuche in den nächsten Stunden das paring zu machen. Schönen Ostermontag


  • Schade kommt leider wieder neue Fehlermeldung:4f8fd350-dc0c-4a89-ba56-dc8606231bb4-image.png

  • Most Active

    @uwessmarthome

    Node sauber?
    Konsolenmeldungen bitte nicht als Screenshot sondern als Text in CodeTags ins Forum.


  • codpi@RaspiMaster:~ $ which nodejs && nodejs -v && which node && node -v && which npm && npm -v && apt policy nodejs
    /usr/bin/nodejs
    v12.21.0
    /usr/bin/node
    v12.21.0
    /usr/bin/npm
    6.14.12
    nodejs:
      Installiert:           12.21.0-1nodesource1
      Installationskandidat: 12.21.0-1nodesource1
      Versionstabelle:
     *** 12.21.0-1nodesource1 100
            100 /var/lib/dpkg/status
         10.24.0-1nodesource1 500
            500 https://deb.nodesource.com/node_10.x buster/main armhf Packages
         10.24.0~dfsg-1~deb10u1 500
            500 http://raspbian.raspberrypi.org/raspbian buster/main armhf Packages
    e_text
    
  • Most Active

    @uwessmarthome
    Bitte CodeTags verwenden.
    Und das System auf Stand halten.

    sudo apt update
    sudo apt dist-upgrade
    sudo reboot
    

    Für node12 ist keine Paketquelle / kein Repository angelegt. Lies den Kram zu node aus meiner Signatur.

Suggested Topics

1.6k
Online

38.3k
Users

43.7k
Topics

611.2k
Posts